### Method

# EBook BookClientCursor ref_client

since: 3.12

#### Declaration [src]

    _EBookClient*
    e_book_client_cursor_ref_client (
      EBookClientCursor* cursor
    )

#### Description [src]

Returns the `EBookClientCursor:client` associated with `cursor`.

The returned `EBookClient` is referenced because the cursor does not keep a strong reference to the client.

Unreference the `EBookClient` with `g_object_unref()` when finished with it.

Available since: 3.12

#### Return value

Type: `EBookClient`

An `EBookClient`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.